> For the complete documentation index, see [llms.txt](https://docs.premia.blue/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.premia.blue/developer-center/apis/subgraph-api.md).

# Subgraph API

### <mark style="color:blue;">Overview</mark>

The Premia Subgraph is available on every chain the protocol is available on. The subgraph efficiently indexes expensive-to-store data emitted on-chain, to enable applications to query more advanced data much faster and with less computation than querying these values from an Ethereum node provider (such as Infura, Alchemy, Ankr, etc).

These subgraphs are hosted on The Graph hosted service and can be used to query Premia data.

<mark style="color:blue;">**Premia V3 Arbitrum Goerli**</mark>[**​**](https://docs.uniswap.org/api/subgraph/overview#v3)

* [Explorer Page](https://thegraph.com/hosted-service/subgraph/premian-labs/premia-blue)
* [Graphql Endpoint](https://api.thegraph.com/subgraphs/name/premian-labs/premia-blue)
* [Code](https://github.com/Premian-Labs/v3-subgraph)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.premia.blue/developer-center/apis/subgraph-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
